﻿<local:BasePage x:TypeArguments="core:LoginViewModel" x:Class="Quantum.LoginPage"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:Quantum"
      xmlns:core="clr-namespace:Quantum.Core;assembly=Quantum.Core"
      mc:Ignorable="d" 
      Height="600" Width="500"
      Title="LoginPage"
      x:Name="Page">


    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto" HorizontalScrollBarVisibility="Auto">
            <StackPanel VerticalAlignment="Center" HorizontalAlignment="Center" TextBlock.TextAlignment="Center">
                <Image Margin="0 10" Source="C:\Users\ivand\source\repos\Quantum\Quantum\quantumIcon.png"/>
                <Border Background="{StaticResource BackgroundLightBrush}"
                        CornerRadius="5"
                        Padding="15 50 15 15"
                        Width="400"
                        Margin="50 50 50 0">

                    <StackPanel>
                        <TextBlock Foreground="{StaticResource ForegroundLightBrush}" Text="Sign Up" FontSize="48" FontFamily="{StaticResource MonsterratRegular}" FontWeight="Bold"/>

                        <!--Login tb-->
                        <TextBox 
                            Style="{StaticResource InputTextBox}"
                            Text="{Binding Email}"
                            Tag="Login"/>

                        <!--Password tb-->
                        <PasswordBox Foreground="{StaticResource ForegroundLightBrush}" Background="Transparent" x:Name="PasswordText" Margin="0 25" Tag="Password"/>

                        <Button 
                            Command="{Binding LoginCommand}"
                            CommandParameter="{Binding ElementName=Page}"
                            IsDefault="True"
                            FontSize="24"
                            Content="Next"
                            HorizontalAlignment="Center"
                            local:IsBusyProperty.Value="{Binding LoginIsRunning}"
                            />
                    </StackPanel>
                </Border>

                <Button 
                    Command="{Binding RegisterCommand}"
                    Content="Create new account"/>

            </StackPanel>

        </ScrollViewer>
    </Grid>
</local:BasePage>
